ModifyVpcsAttribute
1. API Description
This API (ModifyVpcsAttribute) is used to The API is used to modify the attributes of one or more VPCs. Only the VPC name to be displayed can be modified for now.
2. Input Parameters
The following request parameter list only provides API request parameters.
vpcName
Yes
String
VPC name to be displayed.
This parameter can contain up to 64 characters. Only letters, numbers, - and periods (.) are supported.
vpcIds
Yes
Array of String
VPC ID(s).
To obtain the VPC IDs, you can call DescribeVpcs and look for vpcId in the response.
The maximum number of VPCs in each request is 100.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Modify VPC names in batch.
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyVpcsAttribute
<Common Request Params>
Request:
{
"vpcIds": [
"675574041725115352"
],
"vpcName": "111"
}
Response:
{
"requestId": "T261F6869-69AE-4F8B-9C23-9A774C83C62D",
"response": {
"requestId": "T261F6869-69AE-4F8B-9C23-9A774C83C62D"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated